Subject: Re: ppc32: Weird process scheduling behaviour with 2.6.24-rc

From: Peter Zijlstra <[email-masked]>
Date: Fri, 25 Jan 2008 09:50:00 +0100

On Fri, 2008-01-25 at 18:25 +1100, Benjamin Herrenschmidt wrote:
> On Fri, 2008-01-25 at 18:03 +1100, Benjamin Herrenschmidt wrote:
> > On Fri, 2008-01-25 at 17:54 +1100, Benjamin Herrenschmidt wrote:
> > > 
> > > Here, I do the test of running 4 times the repro-case provided by Michel
> > > with nice 19 and a dd eating CPU with nice 0.
> > > 
> > > Without this option, I get the dd at 100% and the nice 19 shells down
> > > below it with whatever is left of the CPUs.
> > > 
> > > With this option, dd gets about 50% of one CPU and the niced processes
> > > still get most of the time.
> > 
> > FYI. This is a 4 way G5 (ppc64)
> 
> I also tested responsiveness of X running with or without that option
> and with niced CPU eaters in the background (still 4 of them, one per
> CPU), and I can confirm Michel observations, it gets very sluggish
> (maybe not -as- bad as his but still pretty annoying) with the fair
> group scheduler enabled.
> 
> Here, X is running with nice=0

Curious, sounds like an issue with the group load balancer, vatsa, any
ideas?